org.apache.cassandra.db.compaction

## Enum OperationType

- java.lang.Object
- - java.lang.Enum<OperationType>
  - - org.apache.cassandra.db.compaction.OperationType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<OperationType>

    public enum OperationType
    extends java.lang.Enum<OperationType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ANTICOMPACTION`
`CLEANUP`
`COMPACTION`
`COUNTER_CACHE_SAVE`
`INDEX_BUILD`
`INDEX_SUMMARY`
`KEY_CACHE_SAVE`
`ROW_CACHE_SAVE`
`SCRUB`
`TOMBSTONE_COMPACTION` Compaction for tombstone removal
`UNKNOWN`
`UPGRADE_SSTABLES`
`VALIDATION`
`VERIFY`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`
`static OperationType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OperationType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### COMPACTION

    public static final OperationType COMPACTION

#### VALIDATION

    public static final OperationType VALIDATION

#### KEY_CACHE_SAVE

    public static final OperationType KEY_CACHE_SAVE

#### ROW_CACHE_SAVE

    public static final OperationType ROW_CACHE_SAVE

#### COUNTER_CACHE_SAVE

    public static final OperationType COUNTER_CACHE_SAVE

#### CLEANUP

    public static final OperationType CLEANUP

#### SCRUB

    public static final OperationType SCRUB

#### UPGRADE_SSTABLES

    public static final OperationType UPGRADE_SSTABLES

#### INDEX_BUILD

    public static final OperationType INDEX_BUILD

#### TOMBSTONE_COMPACTION

    public static final OperationType TOMBSTONE_COMPACTION

Compaction for tombstone removal

#### UNKNOWN

    public static final OperationType UNKNOWN

#### ANTICOMPACTION

    public static final OperationType ANTICOMPACTION

#### VERIFY

    public static final OperationType VERIFY

#### INDEX_SUMMARY

    public static final OperationType INDEX_SUMMARY

### Method Detail

#### values

    public static OperationType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OperationType c : OperationType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OperationType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Enum<OperationType>`